Subject: creating .a from .dll based .def
From: [email-masked] (Paul Garceau)

2 Oct 1998 18:48:25 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7BIT
To: [email-masked]

Hi folks,

	I'm feeling very bad about this, but I don't know where else to ask...I am 
sure this has been answered, but I haven't the vaguest idea where to find the 
answer.

	context:
		used impdef on opengl.dll to define a .def file called opengl.def
		-> impdef opengl.dll > opengl.def
		.def file properly generated
		-> compiled program to get a list of link errors
		modified export references in .def file ( added @4, etc.)
		used dlltool to generate an output lib:
		-> dlltool --dllname opengl.dll --def opengl.def --output-lib libopengl.a
		-> compiled and linked app using egcs-mingw32 1.0.2.  No link 
errors.
		-> ran executable -- error: dll file (null) does not exist... [like..duh...? 
 Why does the proper reference in the executable objdump not exist?  
Perhaps because the reference to the opengl.dll was never incorporated with 
the libopengl.a file...?  SGI opengl.dll is legal MS .dll image.  I don't know...]

		Repeated process using the opengl.def file with one difference --
		 changed dlltool command:
		   -> dlltool --def opengl.def --output-lib libopengl.a
		same error.

	I'm stumped...this is about the umpteenth time (lost count some time 
ago) I've tried to generate a useable libopengl.a file (based on a legal MS .dll 
image) for EGCS-Mingw32 (1.0.2) to no avail...can someone please help me 
with this?

	Thanks for your time.

	Peace,

		Paul G.

Information Systems Consultant
NewDawn Productions
http://www.teleport.com/~pgarceau/newdawn/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".